import { objAssign } from "@/plugins/utils";
// component
import VEditor from "../components/vEditor/VEditor";
import RichText from "../components/RichText";
import CourseSelect from "../components/selection/CourseSelect";
import QuestionTypeSelect from "../components/selection/QuestionTypeSelect";
import PropertySelect from "../components/selection/PropertySelect";
import PropertySubSelect from "../components/selection/PropertySubSelect";
import SourceDetailSelect from "../components/selection/SourceDetailSelect";
// mixins
import commonMixins from "../mixins/common";

export default {
  install: function (Vue) {
    // 实例方法
    Vue.prototype.$objAssign = objAssign;
    // component
    Vue.component("VEditor", VEditor);
    Vue.component("RichText", RichText);
    Vue.component("CourseSelect", CourseSelect);
    Vue.component("QuestionTypeSelect", QuestionTypeSelect);
    Vue.component("PropertySelect", PropertySelect);
    Vue.component("PropertySubSelect", PropertySubSelect);
    Vue.component("SourceDetailSelect", SourceDetailSelect);
    //全局 mixins
    Vue.mixin(commonMixins);
  },
};
